Subject: [Sip] Matching responses to transactions (error in 9th draft?)

From: [email-masked]
Date: Mon, 25 Mar 2002 16:11:08 +0100

Section 17.1.3 of the 9th draft of the SIP specification states the 
following:

"A response that matches a transaction matched by a previous response is 
 considered to be a restransmission of that response."

This statement is preceded by two "matching rules", one about a matching
branch parameter in the topmost Via header and one about a matching 
request method in the CSeq. 

Suppose that multiple responses are sent as the result of an INVITE. E.g.
first a 183 Trying, then a 180 Ringing and then a 200 OK. All of these
would match with the request, but according to the above statement, the
180 Ringing and the 200 OK would seem to be regarded as retransmissions
of the 183 Trying. This can surely not be the intention.

Regards,

Frank